#2243 closed defect (fixed)

c/src/lib/libbsp/arm/nds/libfat/source/directory.c:768: possible bad compare ?

Reported by: David Binderman Owned by:
Priority: normal Milestone: 4.11.1
Component: fs/fat Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

[rtems/c/src/lib/libbsp/arm/nds/libfat/source/directory.c:768]: (warning) Char literal compared with pointer 'tmpCharPtr'. Did you intend to dereference it?

while ((tmpCharPtr != '\0') && (j < 12)) {

Change History (3)

comment:1 Changed on Feb 23, 2015 at 5:42:29 PM by Gedare Bloom

Milestone: 4.114.11.1

We should probably instead update to newer version of the upstream? http://sourceforge.net/projects/devkitpro/files/libfat/

comment:2 Changed on Feb 26, 2016 at 3:33:14 PM by Aun-Ali Zaidi

Resolution: fixed
Status: newclosed

I am closing this ticket since the NDS BSP has been removed.

comment:3 Changed on Oct 10, 2017 at 6:50:58 AM by Sebastian Huber

Component: unspecifiedfs/fat
Note: See TracTickets for help on using tickets.